opensaml::EncryptedKeyResolver Class Reference

SAML-specific encrypted key resolver. More...

`#include <saml/encryption/EncryptedKeyResolver.h>`

Inheritance diagram for opensaml::EncryptedKeyResolver:
[legend]
Collaboration diagram for opensaml::EncryptedKeyResolver:
[legend]

## Public Member Functions

| EncryptedKeyResolver (const saml2::EncryptedElementType &ref)
| Constructor.
const xmlencryption::EncryptedKey * | resolveKey (const xmlencryption::EncryptedData &encryptedData, const XMLCh *recipient=0) const

## Protected Attributes

const saml2::EncryptedElementType & | m_ref
| Reference to encrypted element.

## Detailed Description

SAML-specific encrypted key resolver.

SAML allows placement of keys alongside the encrypted data. This resolver recognizes the implied placement.

## Constructor & Destructor Documentation

## EncryptedKeyResolver()

opensaml::EncryptedKeyResolver::EncryptedKeyResolver | ( | const saml2::EncryptedElementType & | ref | ) |

Constructor.

Parameters

  ref | reference to encrypted element

The documentation for this class was generated from the following file:

- saml/encryption/EncryptedKeyResolver.h